# -*- coding: utf-8 -*-
from openerp import models, fields, tools, api

class resBank(models.Model):
    _inherit = 'res.bank'

    ruc = fields.Char('R.U.C.')

    @api.model
    def CreateUpdateListBanks(self):
        bancosPy = [
                        {'name': 'CITIBANK N.A. SUC. PARAGUAY', 'ruc': '80001906-7', 'phone': '595216202000', 'fax': '595216202222'},
                        {'name': 'BANCO DO BRASIL S.A.', 'ruc': '80001625-4', 'phone': '+59521490121/6', 'fax': '+59521448761'},
                        {'name': 'BANCO DE LA NACION ARGENTINA', 'ruc': '80002301-3', 'phone': '+59521444361', 'fax': '+59521444365'},
                        {'name': 'BANCO ITAU PARAGUAY S.A.', 'ruc': '80002201-7', 'phone': '+595214171000', 'fax': '+595212173707'},
                        {'name': 'SUDAMERIS BANK SAECA', 'ruc': '80034461-8', 'phone': '+595214166000', 'fax': '+595214166234'},
                        {'name': 'BBVA (BANCO BILBAO VIZCAYA ARGENTARIA PARAGUAY S.A)', 'ruc': '80022955-0', 'phone': '+595214176000', 'fax': '+59521448103'},
                        {'name': 'BANCO GNB PARAGUAY SOCIEDAD ANONIMA', 'ruc': '80044227-0', 'phone': '+595216183000', 'fax': ''},
                        {'name': 'BANCO REGIONAL S.A.E.C.A.', 'ruc': '80020981-8', 'phone': '+595071204740', 'fax': '+595071204745'},
                        {'name': 'BANCO AMAMBAY S.A.', 'ruc': '80009515-4', 'phone': '+595216187000', 'fax': '+59521608813'},
                        {'name': 'BANCO CONTINENTAL S.A.E.C.A.', 'ruc': '80019270-2', 'phone': '+595214192000', 'fax': '+595214192450'},
                        {'name': 'VISION BANCO S.A.E.C.A.', 'ruc': '80009310-0', 'phone': '+595214143000', 'fax': '+595214153190'},
                        {'name': 'BANCO ITAPUA S.A.E.C.A.', 'ruc': '80002227-0', 'phone': '+595071203461', 'fax': '+595071204572'},
                        {'name': 'BANCO FAMILIAR S.A.E.C.A.', 'ruc': '80022570-8', 'phone': '+595214142000', 'fax': '+595214142476'},
                        {'name': 'BANCO ATLAS S.A.', 'ruc': '80024928-3', 'phone': '+595216169000', 'fax': '+59521614600'},
                        {'name': 'BANCOP S.A.', 'ruc': '80000441-8', 'phone': '+595213255000', 'fax': ''},
                        {'name': 'INTERFISA BANCO S.A.E.C.A.', 'ruc': '80016889-5', 'phone': '+595214159000', 'fax': ''},
                        {'name': 'BANCO NACIONAL DE FOMENTO', 'ruc': '80000856-1', 'phone': '', 'fax': ''},
                        {'name': 'FINANCIERA EL COMERCIO S.A.E.C.A.', 'ruc': '80026157-7', 'phone': '', 'fax': ''},
                        {'name': 'FINANCIERA PARAGUAYO – JAPONESA S.A.E.C.A.', 'ruc': '80026277-8', 'phone': '', 'fax': ''},
                        {'name': 'SOLAR DE AHORRO Y FINANZAS S.A.E.C.A. ', 'ruc': 'xxxx', 'phone': '', 'fax': ''},
                        {'name': 'FINEXPAR S.A.E.C.A. ', 'ruc': '80086018-7', 'phone': '', 'fax': ''},
                        {'name': 'CRISOL Y ENCARNACIÓN FINANCIERA S.A.E.C.A. – CEFISA ', 'ruc': 'xxxx', 'phone': '', 'fax': ''},
                        {'name': 'FINLATINA S.A. DE FINANZAS', 'ruc': '80008036-0', 'phone': '', 'fax': ''},
                        {'name': 'FINANCIERA RIO S.A.E.C.A.', 'ruc': '80059206-9', 'phone': '', 'fax': ''},
                        {'name': 'TU FINANCIERA S.A.E.C.A.', 'ruc': '80064698-3', 'phone': '', 'fax': ''},
                        {'name': 'FIC S.A. DE FINANZAS', 'ruc': 'xxxx', 'phone': '', 'fax': ''},
                        {'name': 'ITAIPU BINACIONAL', 'ruc': 'xxxx', 'phone': '+595615998989', 'fax': ''},
                        {'name': 'TABACALERA DEL ESTE S.A.', 'ruc': 'xxxx', 'phone': '+59563122446', 'fax': '+59563122116'}
                    ]

        for bancos in bancosPy:
            bank = self.env['res.bank'].search([('name', '=', bancos['name'])])
            banco = {
                'name': bancos['name'],
                'ruc': bancos['ruc'],
                'phone': bancos['phone'],
                'fax': bancos['fax']
            }

            if (not bank):
                bank.create(banco)
