(function() {

    openerp.widgetInstanceStatusChange = null;
    openerp.parentInstanceStatusChange = {};

    openerp.BankPaymentsStatusChange = openerp.Widget.extend({
        id: undefined,
        bankPayments: [],

        init: function(parent) {
            this._super(parent);
        },
        /* Check state*/
        checkState: function(id) {
            var self = this;
            self.id = id;
            if (id)
                self.fectchInitial();
        },
        /* Método inicial  */
        fectchInitial: function() {
            var self = this;
            self.fectchBankPayments(self.id).then(function(bankPayments) {
                return bankPayments;
            }).then(function(bankPayments) {
                self.bankPayments = bankPayments;
                return self.bankPaymentsState();
            }).then(function(update){
                if (update)
                    return self.reloadPage();
            });
        },

        fectchBankPayments: function(id) {
            var bankPaymnets = new openerp.web.Model('res.bank.payments');
            var fields = ['id', 'state', 'payments_line', 'amount_receipt', 'amount_payment', 'amount_total'];
            var domain = [['id', '=', id]];
            return bankPaymnets.query(fields).filter(domain).all();
        },
        /*Actualizar State*/
        bankPaymentsState: function() {
            var self = this;
            var bankPayments = self.bankPayments[0];

            var invoiceUpdate = new openerp.web.Model('res.bank.payments');
            return invoiceUpdate.call('update_state_bank_payments',[bankPayments.id], {
                context: new openerp.web.CompoundContext()
            });
        },
        /**
         * [reloadPage]
         */
        reloadPage: function() {
             openerp.parentInstanceStatusChange.reload();
        },
    });

    if (openerp.web && openerp.web.FormView) {
        openerp.web.FormView.include({
            load_record: function(record) {
                this._super.apply(this, arguments);

                if (this.model !== 'res.bank.payments')
                    return;

                openerp.parentInstanceStatusChange = this;
                
                if (openerp.widgetInstanceStatusChange) {
                    openerp.widgetInstanceStatusChange.checkState(record.id);
                    return ;
                }

                openerp.widgetInstanceStatusChange = new openerp.BankPaymentsStatusChange(this);
                openerp.widgetInstanceStatusChange.checkState(record.id);

            }
        });
    }

})();
